getkey(1)

NAME
getkey - wait until a key is pressed

SYNOPSIS
getkey [OPTION]... [KEYS]

DESCRIPTION
getkey waits until one of KEYS is pressed. If KEYS are not specified, any key is accepted. KEYS are matched case-insensitive.

EXIT STATUS
getkey exits with status 0 if one of the expected keys is pressed. If invalid arguments are specified, getkey exits with status 255. If getkey is interrupted or the wait times out, getkey exits with other non-zero status.

OPTIONS

-c, --wait SECONDS
    Wait only for SECONDS seconds. The default is 0, which means to wait without a time limit.

-i, --ignore-control-chars
    Don't treat Ctrl+C and Ctrl+D specially. When this option is not specified, these characters interrupt getkey.

-m, --message MESSAGE
    Display MESSAGE while waiting. The message is used as a format string in sprintf(3), with a single argument, the number of seconds left. Typical usage is therefore "Press a key within %d seconds to ...". If MESSAGE contains other format string directives, the behavior is undefined and getkey may crash. If there is no time limit specified, the number of seconds left is reported as 0.